#!/usr/bin/env python3
from django.core.management.base import BaseCommand
from arkindex.images.models import Image


class Command(BaseCommand):
    help = 'Fully reindex all transcriptions into ElasticSearch'

    def handle(self, *args, **options):
        nb = Image.objects.count()
        last = 0
        for i, img in enumerate(Image.objects.all()):
            percent = int(100.0 * (i + 1) / nb)
            if percent % 5 == 0 and last != percent:
                print('{0: >3}% => {1: >5} / {2}'.format(percent, i, nb))
                last = percent
            img.index()
