from django.conf.urls import url
from django.views.generic.base import RedirectView
from arkindex.documents.api import \
    ElementsList, RelatedElementsList, ElementPages, VolumeManifest, \
    PageAnnotationList, TranscriptionSearch

api = [

    # Elements
    url(r'elements/(?P<pk>[\w\-]+)/pages/$',
        ElementPages.as_view(), name='volume-pages'),
    url(r'elements/(?P<pk>[\w\-]+)/$',
        RelatedElementsList.as_view(), name='related-elements'),
    url(r'elements/$', ElementsList.as_view(), name='elements'),

    # Manifests
    url(r'^manifest/(?P<pk>[\w\-]+)/pages/?$',
        VolumeManifest.as_view(), name='volume-manifest'),
    url(r'^manifest/(?P<pk>[\w\-]+)/transcriptions/?$',
        PageAnnotationList.as_view(),
        name='page-manifest'),
    # Placeholder URLs for IIIF IDs
    url(r'^manifest/(?P<pk>[\w\-]+)/sequence/?$',
        RedirectView.as_view(pattern_name='volume-manifest', permanent=False),
        name='sequence-manifest'),
    url(r'^manifest/(?P<pk>[\w\-]+)/canvas/?$',
        RedirectView.as_view(pattern_name='page-manifest', permanent=False),
        name='canvas-manifest'),
    url(r'^manifest/(?P<page_pk>[\w\-]+)/transcriptions/(?P<transcription_pk>[\w\-]+)/?$',
        RedirectView.as_view(pattern_name='page-manifest', permanent=False),
        name='transcription-manifest'),

    # Search transcriptions
    url(r'^transcriptions/$', TranscriptionSearch.as_view(), name='transcription-search'),

]
