from django.db import models
import uuid


class IndexableModel(models.Model):
    id = models.UUIDField(default=uuid.uuid4, primary_key=True)
    created = models.DateTimeField(auto_now_add=True)
    updated = models.DateTimeField(auto_now=True)

    # Default used by search serializer
    # Do not remove
    indexes = None

    class Meta:
        abstract = True
